For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAcknowledge a compliance document
      • GETDownload employee compliance document template
      • GETDownload submitted compliance document
      • GETList of employee compliance documents
      • POSTUpload employee compliance document
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Compliance

Acknowledge a compliance document

POST
/eor/workers/compliance-documents/:document_id/acknowledgement
POST
/rest/v2/eor/workers/compliance-documents/:document_id/acknowledgement
$curl -X POST https://api.letsdeel.com/rest/v2/eor/workers/compliance-documents/9b9fc43a-a90c-4615-ac50-baf1e314b53e/acknowledgement \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{}

Submits the worker’s consent acknowledgement for a compliance document that requires it. This operation is required before documents marked as needing acknowledgement are considered complete. Token scopes: worker:write

Was this page helpful?
Previous

Download employee compliance document template

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

document_idstringRequired
The unique identifier of the compliance document.

Response

Document was acknowledged successfully

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error